curl --request GET \
--url https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ReportLauncher.ApiVarReportLauncherItemGetAllResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"report_launcher_items": [
{
"$type": "Derivitec.Web.Core.ReportLauncher.VarReportLauncherItem, Derivitec.Web.Core",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_name": "<string>",
"portfolio_type": "derivitec",
"report_name": "<string>",
"market_data_environment_names": [
"<string>"
],
"real_time_mkt_data": true,
"report_id": "<string>",
"reporting_currency": "<string>",
"report_status": "none",
"report_status_message": "<string>",
"time_stamp": "2023-11-07T05:31:56Z",
"run_date_is_today": true,
"run_date": "2023-11-07T05:31:56Z",
"portfolio_date_time": "2023-11-07T05:31:56Z",
"confidence_level": 123,
"historical_look_back_period": "<string>",
"first_observation_date": "2023-11-07T05:31:56Z",
"historical_end_date_rule": "<string>",
"last_observation_date": "2023-11-07T05:31:56Z",
"horizon": 123,
"weighting_var_definition": {
"$type": "Derivitec.Web.Core.Reports.WeightingVarDefinition, Derivitec.Web.Core",
"active": true,
"window_length": 123,
"decay_period": 123,
"scheme": "exponentially_weighted"
}
}
]
}List saved VaR launcher items.
Returns saved VaR launch preferences accessible to the current caller, including run and portfolio dates, observation dates, confidence level, horizon, weighting definition, historical lookback, and the latest run identifier, status, and timestamp when available. This snapshot does not run or cancel a report.
curl --request GET \
--url https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportLauncher/VarReportLauncherItemGetAll")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ReportLauncher.ApiVarReportLauncherItemGetAllResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"report_launcher_items": [
{
"$type": "Derivitec.Web.Core.ReportLauncher.VarReportLauncherItem, Derivitec.Web.Core",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_name": "<string>",
"portfolio_type": "derivitec",
"report_name": "<string>",
"market_data_environment_names": [
"<string>"
],
"real_time_mkt_data": true,
"report_id": "<string>",
"reporting_currency": "<string>",
"report_status": "none",
"report_status_message": "<string>",
"time_stamp": "2023-11-07T05:31:56Z",
"run_date_is_today": true,
"run_date": "2023-11-07T05:31:56Z",
"portfolio_date_time": "2023-11-07T05:31:56Z",
"confidence_level": 123,
"historical_look_back_period": "<string>",
"first_observation_date": "2023-11-07T05:31:56Z",
"historical_end_date_rule": "<string>",
"last_observation_date": "2023-11-07T05:31:56Z",
"horizon": 123,
"weighting_var_definition": {
"$type": "Derivitec.Web.Core.Reports.WeightingVarDefinition, Derivitec.Web.Core",
"active": true,
"window_length": 123,
"decay_period": 123,
"scheme": "exponentially_weighted"
}
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Response
Returns the caller's accessible saved VaR launcher items; an empty collection is valid.
Saved VaR report launcher items visible to the caller.
Derivitec.Web.Core.ReportLauncher.ApiVarReportLauncherItemGetAllResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Saved launcher items returned by the operation.
Show child attributes
Show child attributes
Was this page helpful?